CppUnit project page | FAQ

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
MfcTestRunner Class Reference
Executing test

MFC test runner.Use this to launch the MFC TestRunner. Usually called from you CWinApp subclass: More...

`#include <MfcTestRunner.h>`

## Public Member Functions
| MfcTestRunner ()
virtual | ~MfcTestRunner ()
void | run ()
void | addTest (Test *test)
void | addTests (const CppUnitVector< Test * > &tests)

## Protected Types
typedef CppUnitVector< Test * > | Tests

## Protected Member Functions
Test * | getRootTest ()

## Protected Attributes
TestSuite * | m_suite
Tests | m_tests

## Detailed Description

MFC test runner.

Use this to launch the MFC TestRunner. Usually called from you CWinApp subclass:

* #include <cppunit/ui/mfc/MfcTestRunner.h>
* #include <cppunit/extensions/TestFactoryRegistry.h>
*
* void
* CHostAppApp::RunUnitTests()
* {
* CppUnit::MfcTestRunner runner;
* runner.addTest( CppUnit::TestFactoryRegistry::getRegistry().makeTest() );
*
* runner.run();
* }
*

See Also
  CppUnit::TextTestRunner, CppUnit::TestFactoryRegistry.

## Member Typedef Documentation

typedef CppUnitVector<Test *> MfcTestRunner::Tests
| protected

## Constructor & Destructor Documentation

MfcTestRunner::MfcTestRunner | ( |  | ) |

virtual MfcTestRunner::~MfcTestRunner | ( |  | ) |
| virtual

## Member Function Documentation

void MfcTestRunner::addTest | ( | Test * | test | ) |

void MfcTestRunner::addTests | ( | const CppUnitVector< Test * > & | tests | ) |

Test* MfcTestRunner::getRootTest | ( |  | ) |
| protected

void MfcTestRunner::run | ( |  | ) |

## Member Data Documentation

TestSuite* MfcTestRunner::m_suite
| protected

Tests MfcTestRunner::m_tests
| protected

The documentation for this class was generated from the following file:

- MfcTestRunner.h

| Send comments to: CppUnit Developers